std::experimental::memory_alignment(3)

NAME
std::experimental::memory_alignment - std::experimental::memory_alignment

Synopsis
   Defined in header <experimental/simd>
   template< class T, class U = typename T::value_type > (parallelism TS v2)
   struct memory_alignment;
   If is_simd_mask_v<T> is true and U is bool, or if is_simd_v<T> is true and U is a
   vectorizable type, provides the member constant value equal to the minimum alignment
   of a pointer passed to a load constructor, copy_from function, or copy_to function.
   For any other types T and U, there is no member value.
   If the program adds specializations for std::memory_alignment
   or std::memory_alignment_v
   (since C++17), the behavior is undefined.

Member constants
   value the minimum alignment of a pointer passed to a load constructor, copy_from
   [static] function, or copy_to function
            (public static member constant)

Member functions
   operator std::size_t converts the object to std::size_t, returns value
                        (public member function)
   operator() returns value
   (C++14) (public member function)

Member types
   Type Definition
   value_type std::size_t
   type std::integral_constant< std::size_t, value>

Example
    This section is incomplete
    Reason: no example

See also
   vector_aligned_tag flag indicating alignment of the load/store address to vector
   vector_aligned alignment
   (parallelism TS v2) (class)
   constructor constructs a simd object
   (parallelism TS v2) (public member function of std::experimental::simd<T,Abi>)
   copy_from loads simd elements from contiguous memory
   (parallelism TS v2) (public member function of std::experimental::simd<T,Abi>)
   copy_to stores simd elements to contiguous memory
   (parallelism TS v2) (public member function of std::experimental::simd<T,Abi>)
   constructor constructs a simd_mask object
   (parallelism TS v2) (public member function of std::experimental::simd_mask<T,Abi>)
   copy_from loads simd_mask elements from contiguous memory
   (parallelism TS v2) (public member function of std::experimental::simd_mask<T,Abi>)
   copy_to stores simd_mask elements to contiguous memory
   (parallelism TS v2) (public member function of std::experimental::simd_mask<T,Abi>)

Category:
     * Todo no example